import static javax.swing.JOptionPane.*;
import java.util.Arrays;

public class ExemploVetor {
  private static String[] textos;
  
  public static void main(String[] args) {
    textos = new String[2];
    
    int contador = 0;
    while (true) {
      String str = showInputDialog("Informe um texto");
      if (str == null) break;
      
      if (contador == textos.length)
        textos = Arrays.copyOf(textos, textos.length * 2);
      
      textos[contador++] = str;
    }
    
    textos = Arrays.copyOf(textos, contador);
    Arrays.sort(textos);
    
    String str = "Contedo do vetor: " + textos.length + " textos";
    for (int i = 0; i < contador; i++)
      str += "\n- " + textos[i];
    showMessageDialog(null, str);
    
    while (true) {
      str = showInputDialog("Informe um texto para pesquisar");
      if (str == null) break;
      
      int i = Arrays.binarySearch(textos, str);
      if (i < 0) showMessageDialog(null, "No encontrado: " + str);
      else showMessageDialog(null, "Encontrado na posio " + i);
    }
    
    System.exit(0);
  }
}

/********************************************************************
 * Este arquivo  parte integrante do livro identificado abaixo e  *
 * protegido pela legislao que trata dos direitos autorais.       *
 *                                                                  *
 * Ttulo:  Programao de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/