import java.io.File;
import static javax.swing.JOptionPane.*;

public class Explorador {
  public static void main(String[] args) {
    while (true) {
      String dir = showInputDialog("Indique um diretrio");
      if (dir == null) System.exit(0);
      File fl_dir = new File(dir);
      
      if (!fl_dir.exists()) {
        showMessageDialog(null,"Diretrio no existe!","Erro",
            ERROR_MESSAGE);
        continue;
      }
      
      if (!fl_dir.isDirectory()) {
        showMessageDialog(null,"No  um diretrio!","Erro",
            ERROR_MESSAGE);
        continue;
      }
      
      String[] conteudo = fl_dir.list();
      
      String str = "Contedo do diretrio: " + fl_dir.getPath();
      for (String s : conteudo) {
        File file = new File(fl_dir.getPath() + File.separator + s);
        str += "\n- " + s + " (" + 
          (file.isFile() ? "Arquivo" : "Diretrio") + ")";
      }
      showMessageDialog(null, str);
    }
  }
}

/********************************************************************
 * Este arquivo  parte integrante do livro identificado abaixo e  *
 * protegido pela legislao que trata dos direitos autorais.       *
 *                                                                  *
 * Ttulo:  Programao de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/